<Input::ContainerGroup
  @isMainValue={{true}}
  @title={{@title}}
  @onSave={{this.save}}
  @onCancel={{@onCancel}}
  @onEdit={{@onEdit}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  as |editMode|
>
  {{#if editMode}}
    <Input::DataBinding::Destination
      @team={{@team}}
      @value={{@value}}
      @onChange={{this.change}}
    />
  {{else}}
    <div {{did-insert this.setupCurrentValue}}>
      {{#if this.currentMap}}
        <p class='mt-3'>
          {{t 'map'}}:
          <LinkTo
            @route='browse.maps.map-view'
            @model={{this.currentMap.id}}
            class='btn-map-link'
          >
            {{this.currentMap.name}}
          </LinkTo>
        </p>
        <p>
          {{t 'delete non synced records'}}:
          <strong>
            {{#if this.value.deleteNonSyncedRecords}}
              {{t 'yes'}}
            {{else}}
              {{t 'no'}}
            {{/if}}
          </strong>
        </p>
      {{else}}
        <div class='alert alert-danger' role='alert'>
          {{t 'message-alert-missing-destination'}}
        </div>
      {{/if}}
    </div>
  {{/if}}
</Input::ContainerGroup>